updateHardwarePrices
ApiScope: payment.hardware.prices.write
API Scope Level: DealerScope
Path Parameters
dealerUuid string required
application/json
Request Body required
- Array [
- ]
hardwarePricingUpdateDTO object[]
gatewayProductType string
myKaarmaPrice int32
isValid boolean
currency string
valid boolean
Responses
- 200
OK
*/*
Schema
Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
- Array [
- ]
errors object[]
errorCode int32
errorTitle string
errorMessage string
errorDescription string
warnings object[]
warningCode int32
warningTitle string
warningMessage string
warningDescription string
hardwarePricingDTOS object[]
dealerUuid string
gateway string
gatewayProductType string
myKaarmaName string
myKaarmaPrice int32
gatewayPrice int32
valid boolean
currency string
{
"errors": [
{
"errorCode": 0,
"errorTitle": "string",
"errorMessage": "string",
"errorDescription": "string"
}
],
"warnings": [
{
"warningCode": 0,
"warningTitle": "string",
"warningMessage": "string",
"warningDescription": "string"
}
],
"hardwarePricingDTOS": [
{
"dealerUuid": "string",
"gateway": "string",
"gatewayProductType": "string",
"myKaarmaName": "string",
"myKaarmaPrice": 0,
"gatewayPrice": 0,
"valid": true,
"currency": "string"
}
]
}
Loading...